import { SelectionSetToObject, PrimitiveField, PrimitiveAliasedFields, LinkField, ConvertNameFn, ScalarsMap } from 'graphql-codegen-visitor-plugin-common';
import { GraphQLObjectType, GraphQLNonNull, GraphQLList, GraphQLSchema, GraphQLNamedType, SelectionSetNode } from 'graphql';
import { FlowDocumentsParsedConfig } from './visitor';
export declare class FlowSelectionSetToObject extends SelectionSetToObject {
    private _visitorConfig;
    constructor(_scalars: ScalarsMap, _schema: GraphQLSchema, _convertName: ConvertNameFn, _addTypename: boolean, _visitorConfig: FlowDocumentsParsedConfig, _parentSchemaType?: GraphQLNamedType, _selectionSet?: SelectionSetNode);
    createNext(parentSchemaType: GraphQLNamedType, selectionSet: SelectionSetNode): SelectionSetToObject;
    protected buildPrimitiveFields(parentName: string, fields: PrimitiveField[]): string | null;
    protected buildLinkFields(fields: LinkField[]): string | null;
    protected buildAliasedPrimitiveFields(parentName: string, fields: PrimitiveAliasedFields[]): string | null;
    protected clearOptional(str: string): string;
    protected wrapTypeWithModifiers(baseType: string, type: GraphQLObjectType | GraphQLNonNull<GraphQLObjectType> | GraphQLList<GraphQLObjectType>): string;
}
