"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_1 = require("graphql");
const visitor_1 = require("./visitor");
exports.plugin = (schema, documents, config) => {
    let prefix = `type $Pick<Origin: Object, Keys: Object> = $ObjMapi<Keys, <Key>(k: Key) => $ElementType<Origin, Key>>;\n`;
    const allAst = graphql_1.concatAST(documents.reduce((prev, v) => {
        return [...prev, v.content];
    }, []));
    const visitorResult = graphql_1.visit(allAst, {
        leave: new visitor_1.FlowDocumentsVisitor(schema, config)
    });
    return [prefix, ...visitorResult.definitions].join('\n');
};
//# sourceMappingURL=index.js.map